## Index

### Classes

- FilterStream
- MapStream
- MapToStream
- SinkStream
- SnapshotStream
- SnapshotWithStream
- Stream

### Functions

- empty
- filter
- isStream
- map
- merge
- publish
- snapshot
- snapshotWith
- subscribe

## Functions

### empty

- empty<A>(): Stream<A>

- - Defined in Stream.ts:138

  #### Type parameters

  - #### A

  #### Returns Stream<A>

### filter

- filter<A>(fn: FilterFunction, stream: Stream<A>): FilterStream<A>

- - Defined in Stream.ts:158

  #### Type parameters

  - #### A

  #### Parameters

  - ##### fn: FilterFunction

  - ##### stream: Stream<A>

  #### Returns FilterStream<A>

### isStream

- isStream(obj: any): boolean

- - Defined in Stream.ts:162

  #### Parameters

  - ##### obj: any

  #### Returns boolean

### map

- map<A, B>(fn: MapFunction, stream: Stream<A>): Stream<B>

- - Defined in Stream.ts:154

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### fn: MapFunction

  - ##### stream: Stream<A>

  #### Returns Stream<B>

### merge

- merge<A, B>(a: Stream<A>, b: Stream<B>): Stream<A | B>

- - Defined in Stream.ts:150

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### a: Stream<A>

  - ##### b: Stream<B>

  #### Returns Stream<A | B>

### publish

- publish<A>(a: A, stream: Stream<A>): void

- - Defined in Stream.ts:146

  #### Type parameters

  - #### A

  #### Parameters

  - ##### a: A

  - ##### stream: Stream<A>

  #### Returns void

### snapshot

- snapshot<A, B>(behavior: Behavior<B>, stream: Stream<A>): Stream<[A, B]>

- - Defined in Stream.ts:111

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### behavior: Behavior<B>

  - ##### stream: Stream<A>

  #### Returns Stream<[A, B]>

### snapshotWith

- snapshotWith<A, B, C>(fn: function, behavior: Behavior<B>, stream: Stream<A>): Stream<C>

- - Defined in Stream.ts:130

  #### Type parameters

  - #### A

  - #### B

  - #### C

  #### Parameters

  - ##### fn: function

    - - (a: A, b: B): C

      - #### Parameters

        - ##### a: A

        - ##### b: B

        #### Returns C

  - ##### behavior: Behavior<B>

  - ##### stream: Stream<A>

  #### Returns Stream<C>

### subscribe

- subscribe<A>(fn: SubscribeFunction, stream: Stream<A>): void

- - Defined in Stream.ts:142

  #### Type parameters

  - #### A

  #### Parameters

  - ##### fn: SubscribeFunction

  - ##### stream: Stream<A>

  #### Returns void

Generated using TypeDoc